unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  TransBitmap, ExtCtrls, Menus, StdCtrls, Spin;

type
  TMainForm = class(TForm)
    LeftPanel: TPanel;
    TransBitmap: TTransBitmap;
    ScrollBox: TScrollBox;
    AboutBtn: TTransBitmap;
    AspectGroup: TGroupBox;
    BorderWidthLab: TLabel;
    BevelWidthLab: TLabel;
    BackgroundLab: TLabel;
    AlignVal: TRadioGroup;
    BevelInnerVal: TRadioGroup;
    BevelOuterVal: TRadioGroup;
    BorderStyleVal: TRadioGroup;
    Ctl3DVal: TCheckBox;
    LookVal: TRadioGroup;
    StateVal: TRadioGroup;
    AllowDownVal: TCheckBox;
    BorderWidthVal: TSpinEdit;
    BevelWidthVal: TSpinEdit;
    BackgroundVal: TTransBitmap;
    DimensionGroup: TGroupBox;
    TopLab: TLabel;
    HeightLab: TLabel;
    LeftLab: TLabel;
    WidthLab: TLabel;
    AutoSizeVal: TCheckBox;
    HeightVal: TSpinButton;
    TopVal: TSpinButton;
    WidthVal: TSpinButton;
    LeftVal: TSpinButton;
    CaptionGroup: TGroupBox;
    CaptionNbLinesLab: TLabel;
    CaptionVal: TEdit;
    CaptionNbLinesVal: TSpinEdit;
    CaptionDisplayVal: TRadioGroup;
    FontVal: TTransBitmap;
    FocusGroup: TGroupBox;
    FocusWidthLab: TLabel;
    FocusWidthVal: TSpinEdit;
    FocusColourVal: TTransBitmap;
    FocusVal: TCheckBox;
    BitmapGroup: TGroupBox;
    BitmapVal: TTransBitmap;
    BitmapDisplayVal: TRadioGroup;
    BitmapNumberVal: TRadioGroup;
    StretchVal: TCheckBox;
    ColorDialog: TColorDialog;
    FontDialog: TFontDialog;
    OpenDialog: TOpenDialog;
    procedure AboutBtnClick(Sender: TObject);
    procedure TransBitmapClick(Sender: TObject);
    procedure AlignValClick(Sender: TObject);
    procedure LookValClick(Sender: TObject);
    procedure BevelInnerValClick(Sender: TObject);
    procedure BevelOuterValClick(Sender: TObject);
    procedure BevelWidthValChange(Sender: TObject);
    procedure AllowDownValClick(Sender: TObject);
    procedure Ctl3DValClick(Sender: TObject);
    procedure BorderStyleValClick(Sender: TObject);
    procedure BorderWidthValChange(Sender: TObject);
    procedure BackgroundValClick(Sender: TObject);
    procedure AutoSizeValClick(Sender: TObject);
    procedure TopValDownClick(Sender: TObject);
    procedure TopValUpClick(Sender: TObject);
    procedure HeightValDownClick(Sender: TObject);
    procedure HeightValUpClick(Sender: TObject);
    procedure LeftValDownClick(Sender: TObject);
    procedure LeftValUpClick(Sender: TObject);
    procedure WidthValDownClick(Sender: TObject);
    procedure WidthValUpClick(Sender: TObject);
    procedure FocusValClick(Sender: TObject);
    procedure FocusColourValClick(Sender: TObject);
    procedure FocusWidthValChange(Sender: TObject);
    procedure CaptionValChange(Sender: TObject);
    procedure CaptionNbLinesValChange(Sender: TObject);
    procedure FontValClick(Sender: TObject);
    procedure CaptionDisplayValClick(Sender: TObject);
    procedure StretchValClick(Sender: TObject);
    procedure BitmapValClick(Sender: TObject);
    procedure BitmapNumberValClick(Sender: TObject);
    procedure BitmapDisplayValClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

Uses About;

procedure TMainForm.AboutBtnClick(Sender: TObject);
begin
   With TAboutForm.Create(Self) Do
      Try
         ShowModal;
      Finally
         Free;
      End;
end;

procedure TMainForm.TransBitmapClick(Sender: TObject);
begin
   MessageDlg('You just clicked on the control...', mtInformation, [mbOK], 0);
end;

procedure TMainForm.AlignValClick(Sender: TObject);
begin
   Case AlignVal.ItemIndex Of
      0: TransBitmap.Align := alBottom;
      1: TransBitmap.Align := alClient;
      2: TransBitmap.Align := alLeft;
      3: TransBitmap.Align := alNone;
      4: TransBitmap.Align := alRight;
      5: TransBitmap.Align := alTop;
   End;
end;

procedure TMainForm.LookValClick(Sender: TObject);
begin
   Case LookVal.ItemIndex Of
      0: TransBitmap.Look := loButton;
      1: TransBitmap.Look := loClickablePanel;
      2: TransBitmap.Look := loPanel;
   End;
end;

procedure TMainForm.BevelInnerValClick(Sender: TObject);
begin
   Case BevelInnerVal.ItemIndex Of
      0: TransBitmap.BevelInner := bvLowered;
      1: TransBitmap.BevelInner := bvNone;
      2: TransBitmap.BevelInner := bvRaised;
   End;
end;

procedure TMainForm.BevelOuterValClick(Sender: TObject);
begin
   Case BevelOuterVal.ItemIndex Of
      0: TransBitmap.BevelOuter := bvLowered;
      1: TransBitmap.BevelOuter := bvNone;
      2: TransBitmap.BevelOuter := bvRaised;
   End;
end;

procedure TMainForm.BevelWidthValChange(Sender: TObject);
begin
   TransBitmap.BevelWidth := BevelWidthVal.Value;
end;

procedure TMainForm.AllowDownValClick(Sender: TObject);
begin
   TransBitmap.AllowDown := AllowDownVal.Checked;
end;

procedure TMainForm.Ctl3DValClick(Sender: TObject);
begin
   TransBitmap.Ctl3D := Ctl3DVal.Checked;
end;

procedure TMainForm.BorderStyleValClick(Sender: TObject);
begin
   Case BorderStyleVal.ItemIndex Of
      0: TransBitmap.BorderStyle := bsNone;
      1: TransBitmap.BorderStyle := bsSingle;
   End;
end;

procedure TMainForm.BorderWidthValChange(Sender: TObject);
begin
   TransBitmap.BorderWidth := BorderWidthVal.Value;
end;

procedure TMainForm.BackgroundValClick(Sender: TObject);
begin
   If (ColorDialog.Execute) Then
      Begin
      BackgroundVal.BackgroundColor := ColorDialog.Color;
      TransBitmap.BackgroundColor := ColorDialog.Color;
      End;
end;

procedure TMainForm.AutoSizeValClick(Sender: TObject);
begin
   TransBitmap.AutoSize := AutoSizeVal.Checked;
end;

procedure TMainForm.TopValDownClick(Sender: TObject);
begin
   If (TransBitmap.Top <> 0) Then
      TransBitmap.Top := TransBitmap.Top - 1;
end;

procedure TMainForm.TopValUpClick(Sender: TObject);
begin
   If (TransBitmap.Top <> (LeftPanel.Height - TransBitmap.Height)) Then
      TransBitmap.Top := TransBitmap.Top + 1;
end;

procedure TMainForm.HeightValDownClick(Sender: TObject);
begin
   If (TransBitmap.Height <> 0) Then
      TransBitmap.Height := TransBitmap.Height - 1;
end;

procedure TMainForm.HeightValUpClick(Sender: TObject);
begin
   If (TransBitmap.Height <> (LeftPanel.Height - TransBitmap.Top)) Then
      TransBitmap.Height := TransBitmap.Height + 1;
end;

procedure TMainForm.LeftValDownClick(Sender: TObject);
begin
   If (TransBitmap.Left <> 0) Then
      TransBitmap.Left := TransBitmap.Left - 1;
end;

procedure TMainForm.LeftValUpClick(Sender: TObject);
begin
   If (TransBitmap.Left <> (LeftPanel.Width - TransBitmap.Width)) Then
      TransBitmap.Left := TransBitmap.Left + 1;
end;

procedure TMainForm.WidthValDownClick(Sender: TObject);
begin
   If (TransBitmap.Width <> 0) Then
      TransBitmap.Width := TransBitmap.Width - 1;
end;

procedure TMainForm.WidthValUpClick(Sender: TObject);
begin
   If (TransBitmap.Width <> (LeftPanel.Width - TransBitmap.Left)) Then
      TransBitmap.Width := TransBitmap.Width + 1;
end;

procedure TMainForm.FocusValClick(Sender: TObject);
begin
   TransBitmap.Focus := FocusVal.Checked;
end;

procedure TMainForm.FocusColourValClick(Sender: TObject);
begin
   If (ColorDialog.Execute) Then
      Begin
      FocusColourVal.BackgroundColor := ColorDialog.Color;
      TransBitmap.FocusColor := ColorDialog.Color;
      End;
end;

procedure TMainForm.FocusWidthValChange(Sender: TObject);
begin
   TransBitmap.FocusWidth := FocusWidthVal.Value;
end;

procedure TMainForm.CaptionValChange(Sender: TObject);
begin
   TransBitmap.Caption := CaptionVal.Text;
end;

procedure TMainForm.CaptionNbLinesValChange(Sender: TObject);
begin
   TransBitmap.CaptionNbLines := CaptionNbLinesVal.Value;
end;

procedure TMainForm.FontValClick(Sender: TObject);
begin
   If (FontDialog.Execute) Then
      Begin
      FontVal.Font := FontDialog.Font;
      TransBitmap.Font := FontDialog.Font;
      End;
end;

procedure TMainForm.CaptionDisplayValClick(Sender: TObject);
begin
   Case CaptionDisplayVal.ItemIndex Of
       0: TransBitmap.CaptionDisplay := cdBitmapBottom;
       1: TransBitmap.CaptionDisplay := cdBitmapLeft;
       2: TransBitmap.CaptionDisplay := cdBitmapRight;
       3: TransBitmap.CaptionDisplay := cdBitmapTop;
       4: TransBitmap.CaptionDisplay := cdBottomCenter;
       5: TransBitmap.CaptionDisplay := cdBottomLeft;
       6: TransBitmap.CaptionDisplay := cdBottomRight;
       7: TransBitmap.CaptionDisplay := cdMiddleCenter;
       8: TransBitmap.CaptionDisplay := cdMiddleLeft;
       9: TransBitmap.CaptionDisplay := cdMiddleRight;
      10: TransBitmap.CaptionDisplay := cdTopCenter;
      11: TransBitmap.CaptionDisplay := cdTopLeft;
      12: TransBitmap.CaptionDisplay := cdTopRight;
   End;
end;

procedure TMainForm.StretchValClick(Sender: TObject);
begin
   BitmapVal.Stretch := StretchVal.Checked;
   TransBitmap.Stretch := StretchVal.Checked;
end;

procedure TMainForm.BitmapValClick(Sender: TObject);
begin
   If (OpenDialog.Execute) Then
      Begin
      BitmapVal.Bitmap.LoadFromFile(OpenDialog.FileName);
      BitmapVal.Refresh;
      TransBitmap.Bitmap.LoadFromFile(OpenDialog.FileName);
      TransBitmap.Refresh;
      End;
end;

procedure TMainForm.BitmapNumberValClick(Sender: TObject);
begin
   Case BitmapNumberVal.ItemIndex Of
      0: TransBitmap.BitmapNumber := bn1;
      1: TransBitmap.BitmapNumber := bn2;
      2: TransBitmap.BitmapNumber := bn3;
   End;
end;

procedure TMainForm.BitmapDisplayValClick(Sender: TObject);
begin
   Case BitmapDisplayVal.ItemIndex Of
      0: TransBitmap.BitmapDisplay := bdBottomCenter;
      1: TransBitmap.BitmapDisplay := bdBottomLeft;
      2: TransBitmap.BitmapDisplay := bdBottomRight;
      3: TransBitmap.BitmapDisplay := bdMiddleCenter;
      4: TransBitmap.BitmapDisplay := bdMiddleLeft;
      5: TransBitmap.BitmapDisplay := bdMiddleRight;
      6: TransBitmap.BitmapDisplay := bdTopCenter;
      7: TransBitmap.BitmapDisplay := bdTopLeft;
      8: TransBitmap.BitmapDisplay := bdTopRight;
   End;
end;

end.
